<?php
include("include/data.php");
Init_boutique();
global $base, $MySQL_Host, $MySQL_User, $MySQL_Passw, $myart, $A_NumArt,$i, $result, $NbLigne, 
$mygroupeart, $mysousgroupeart, $semaine, $limitesuivante, $limiteprecedente, $limite, $total, 
$page, $Nom_Client, $NumAbat;
// entete de la page
include 'menu/header.php';

$date = date("d-m-Y");

// menu haut new-supp-modif

echo "<center><br>";

/*
num_ligne_lot_decoupe=3
num_lot_decoupe=JR31CAN16
poid_decoupe=515.00
num_client_decoupe=55
id_plu=900
poids_qtv=45
qte_qtv=100
qtv_clos=true
*/

$num_ligne_lot_decoupe= $_GET['num_ligne_lot_decoupe'];
$num_lot_decoupe=htmlentities($_GET['num_lot_decoupe']);
$id_plu=htmlentities($_GET['id_plu']);
$poids_qtv=htmlentities($_GET['poids_qtv']);
$poid_decoupe=htmlentities($_GET['poid_decoupe']);
$num_client_decoupe=htmlentities($_GET['num_client_decoupe']);
$qte_qtv=htmlentities($_GET['qte_qtv']);
$qtv_decl=htmlentities($_GET['qtv_decl']);
$cloture=htmlentities($_GET['qtv_clos']);

if ($cloture=="true") {
$cloture="1" ;
} else {
$cloture="0" ;
}

if ($qtv_decl=="true") {
$qtv_decl="1" ;
} else {
$qtv_decl="0" ;
}

Echo "<center><font color='red'>Enregistrement</font></center>";

echo "<br>";
echo "num_ligne lot decoupe : ".$num_ligne_lot_decoupe." <br>";
echo "id_plu ? : ".$id_plu." <br>";
echo "poids_qtv ? : ".$poids_qtv." <br>";
echo "qte_qtv ? : ".$qte_qtv." <br>";

echo "Num client : ".$num_client_decoupe." <br>";
echo "Num Lot : ".$num_lot_decoupe." <br>";
echo "clos ? : ".$cloture." <br>";
echo "Qtv ? : ".$qtv." <br>";
echo "Decl ? : ".$qtv_decl." <br>";
// Ajout table quantitative_detail

$last_num_entre = 0 ;
$sql = "SELECT max(Num_ligne_qtv_det) FROM quantitative_detail";  
$req = mysqli_query($link, $sql); 
$row = mysqli_fetch_row($req);
$last_num_entre = $row[0];
$last_num_entre = $last_num_entre + 1 ;

$sql1 = "INSERT INTO quantitative_detail VALUES ( 
'".$last_num_entre."', 
'".$num_ligne_lot_decoupe."', 
'".$id_plu."', 
'".$poids_qtv."',
'".$qte_qtv."',
'".$qtv_decl."',
'".$cloture."')";

echo "requet : ".$sql1." <br>";

$res = mysqli_query($link, $sql1); 

echo "resultat requet : ".$res." <br>";

/*
ajout_detail_qtv.php?ordre=1&num_ligne_lot_decoupe=3&num_lot_decoupe=$num_lot_decoupe&num_client_decoupe=55&poid_decoupe=515.00&Num_CatPlu=10&date_decoupe_d=04&date_decoupe_m=08&date_decoupe_y=2016&cloture=0
*/


Header("Location:  ajout_detail_qtv.php?ordre=1&num_lot_decoupe=$num_lot_decoupe&poid_decoupe=$poid_decoupe&num_ligne_lot_decoupe=$num_ligne_lot_decoupe&num_client_decoupe=$num_client_decoupe");
?>